<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\Dokumente\DokumenteUpload;

class DokumenteUploadFormularUseCase extends \Kufer\Web\KuferTools\Basis\Dokumente\DokumenteUpload\DokumenteUploadFormularUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_DOKUMENTE_TN;
  }

  public static function getToolSectionId()
  {
    return 755;
  }

  protected function isUploadAllowed(): bool
  {
    return $this->isRechtAllowed('756.0.1');
  }

  protected function isAdminUserUploadNotAllowed(): bool
  {
    return $this->getUser()->tnr <= 0;
  }
}